HierarchicalEclipseProject (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.tooling.model.eclipse

## [Java] Interface HierarchicalEclipseProject

- org.gradle.tooling.model.eclipse.HierarchicalEclipseProject

- All Superinterfaces:
    HierarchicalElement, Element, HasGradleProject, Model

  Represents the basic information about an Eclipse project.

  Since:
    1.0-milestone-3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DomainObjectSet<? extends HierarchicalEclipseProject>` | `getChildren()` {@inheritDoc}
    `EclipseProjectIdentifier` | `getIdentifier()` The unique identifier for this eclipse project.
    `DomainObjectSet<? extends EclipseLinkedResource>` | `getLinkedResources()` Returns the linked resources for this project.
    `HierarchicalEclipseProject` | `getParent()` {@inheritDoc}
    `DomainObjectSet<? extends EclipseProjectDependency>` | `getProjectDependencies()` Returns the project dependencies for this project.
    `File` | `getProjectDirectory()` Returns the project directory for this project.
    `DomainObjectSet<? extends EclipseSourceDirectory>` | `getSourceDirectories()` Returns the source directories for this project.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface HasGradleProject` | `getGradleProject`
    `interface HierarchicalElement` | `getChildren, getParent`
    `interface Element` | `getDescription, getName`

- - ### Method Detail

    - #### public DomainObjectSet<? extends HierarchicalEclipseProject> getChildren()

      {@inheritDoc}

    - #### @Incubating public EclipseProjectIdentifier getIdentifier()

      The unique identifier for this eclipse project. Useful to correlate project dependencies with `EclipseProject` instances.

      Returns:
        The unique identifier for this eclipse project.
      Since:
        2.14

    - #### public DomainObjectSet<? extends EclipseLinkedResource> getLinkedResources()

      Returns the linked resources for this project.

      Returns:
        The linked resources.
      Since:
        1.0-milestone-4

    - #### public HierarchicalEclipseProject getParent()

      {@inheritDoc}

    - #### public DomainObjectSet<? extends EclipseProjectDependency> getProjectDependencies()

      Returns the project dependencies for this project.

      Returns:
        The project dependencies. Returns an empty set if the project has no project dependencies.
      Since:
        1.0-milestone-3

    - #### public File getProjectDirectory()

      Returns the project directory for this project.

      throws:
        UnsupportedMethodException For Gradle versions older than 1.0-milestone-9, where this method is not supported.
      Returns:
        The project directory.
      Since:
        1.0-milestone-9

    - #### public DomainObjectSet<? extends EclipseSourceDirectory> getSourceDirectories()

      Returns the source directories for this project.

      Returns:
        The source directories. Returns an empty set if the project has no source directories.
      Since:
        1.0-milestone-3